package com.example;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.control.TextFormatter;
import javafx.scene.layout.VBox;
import javafx.scene.text.Font;
import javafx.stage.Stage;
import javafx.util.converter.NumberStringConverter;

public class Main extends Application {
	
	public static void main(String[] args) {
		launch(args);
	}
	
	@Override
	public void start(Stage primaryStage) throws Exception {
		
		TextField textField = new TextField();
		textField.setFont(Font.font("monospace", 16));
		textField.setAlignment(Pos.CENTER_RIGHT);
		textField.setTextFormatter(new TextFormatter<Number>(
				new NumberStringConverter(), null,
				new NonNegativeIntegerFilter()));
		
		Button btnClose = new Button("close");
		btnClose.setOnAction(event -> primaryStage.close());
		
		VBox root = new VBox(10, textField, btnClose);
		root.setPadding(new Insets(10));
		
		Scene scene = new Scene(root);
		primaryStage.setScene(scene);
		primaryStage.show();
	}
}
